jif.lang

## Class ConjunctivePrincipal

- java.lang.Object
- - jif.lang.ConjunctivePrincipal

- All Implemented Interfaces:
    Principal

      public final class ConjunctivePrincipal
      extends java.lang.Object
      implements Principal

  A conjunction of two or more (non-null) principals

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `delegatesTo(Principal p)`
    `boolean` | `equals(Principal p)`
    `ActsForProof` | `findProofDownto(Principal q, java.lang.Object searchState)`
    `ActsForProof` | `findProofUpto(Principal p, java.lang.Object searchState)`
    `int` | `hashCode()`
    `boolean` | `isAuthorized(java.lang.Object authPrf, Closure closure, Label lb, boolean executeNow)`
    `java.lang.String` | `name()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### name

          public java.lang.String name()

      Specified by:
        `name` in interface `Principal`

    - #### delegatesTo

          public boolean delegatesTo(Principal p)

      Specified by:
        `delegatesTo` in interface `Principal`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(Principal p)

      Specified by:
        `equals` in interface `Principal`

    - #### isAuthorized

          public boolean isAuthorized(java.lang.Object authPrf,
                                      Closure closure,
                                      Label lb,
                                      boolean executeNow)

      Specified by:
        `isAuthorized` in interface `Principal`

    - #### findProofUpto

          public ActsForProof findProofUpto(Principal p,
                                            java.lang.Object searchState)

      Specified by:
        `findProofUpto` in interface `Principal`

    - #### findProofDownto

          public ActsForProof findProofDownto(Principal q,
                                              java.lang.Object searchState)

      Specified by:
        `findProofDownto` in interface `Principal`